﻿using System;
using System.Net;
using System.Text;

namespace RfidConsoleApp
{
    class Program
    {
        public static UdpHelper MyUdpHelper = null;
        static void Main(string[] args)
        {
            Console.WriteLine("Hello World RFID!");

            string Local_IP = "192.168.30.158";
            int Local_Port = 9000;

            MyUdpHelper = new UdpHelper();
            MyUdpHelper.Init(Local_IP, Local_Port);
            MyUdpHelper.OpenReceive(new Action<byte[], EndPoint>(ReceiveData));

            string Remote_IP = "192.168.30.108";
            int Remote_Port = 4099;

            var RemoteEndPoint = new IPEndPoint(IPAddress.Parse(Remote_IP), Remote_Port);

            MyUdpHelper.Send(PDU.GetLogOn_Buffer(), RemoteEndPoint);//登录消息

            MyUdpHelper.Send(PDU.GetCallTag_Buffer(0,1906309,5,5), RemoteEndPoint);//声光提醒消息

            Console.ReadLine();
        }

        private static void ReceiveData(byte[] buff, EndPoint ep)
        {
            var hex = BitConverter.ToString(buff, 0).ToLower();
            Console.WriteLine("Rece:"+ hex);
        }
    }
}
